Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyClassDoc

- org.codehaus.groovy.groovydoc.GroovyType

- All Superinterfaces:
    GroovyProgramElementDoc, GroovyDoc, GroovyType

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GroovyConstructorDoc[]` | `constructors()`
    `` | `GroovyConstructorDoc[]` | `constructors(boolean filter)`
    `` | `boolean` | `definesSerializableFields()`
    `` | `GroovyFieldDoc[]` | `enumConstants()`
    `` | `GroovyFieldDoc[]` | `fields()`
    `` | `GroovyFieldDoc[]` | `fields(boolean filter)`
    `` | `GroovyClassDoc` | `findClass(String className)`
    `` | `String` | `getFullPathName()`
    `` | `String` | `getRelativeRootPath()`
    `` | `GroovyClassDoc[]` | `importedClasses()`
    `` | `GroovyPackageDoc[]` | `importedPackages()`
    `` | `GroovyClassDoc[]` | `innerClasses()`
    `` | `GroovyClassDoc[]` | `innerClasses(boolean filter)`
    `` | `GroovyType[]` | `interfaceTypes()`
    `` | `GroovyClassDoc[]` | `interfaces()`
    `` | `boolean` | `isAbstract()`
    `` | `boolean` | `isExternalizable()`
    `` | `boolean` | `isSerializable()`
    `` | `GroovyMethodDoc[]` | `methods()`
    `` | `GroovyMethodDoc[]` | `methods(boolean filter)`
    `` | `GroovyFieldDoc[]` | `properties()`
    `` | `GroovyFieldDoc[]` | `serializableFields()`
    `` | `GroovyMethodDoc[]` | `serializationMethods()`
    `` | `boolean` | `subclassOf(GroovyClassDoc gcd)`
    `` | `GroovyClassDoc` | `superclass()`
    `` | `GroovyType` | `superclassType()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GroovyProgramElementDoc` | `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName`
    `interface GroovyType` | `isPrimitive, qualifiedTypeName, simpleTypeName, toString, typeName`

- - ### Method Detail

    - #### public GroovyConstructorDoc[] constructors()

    - #### public GroovyConstructorDoc[] constructors(boolean filter)

    - #### public boolean definesSerializableFields()

    - #### public GroovyFieldDoc[] enumConstants()

    - #### public GroovyFieldDoc[] fields()

    - #### public GroovyFieldDoc[] fields(boolean filter)

    - #### public GroovyClassDoc findClass(String className)

    - #### public String getFullPathName()

    - #### public String getRelativeRootPath()

    - #### public GroovyClassDoc[] importedClasses()

    - #### public GroovyPackageDoc[] importedPackages()

    - #### public GroovyClassDoc[] innerClasses()

    - #### public GroovyClassDoc[] innerClasses(boolean filter)

    - #### public GroovyType[] interfaceTypes()

    - #### public GroovyClassDoc[] interfaces()

    - #### public boolean isAbstract()

    - #### public boolean isExternalizable()

    - #### public boolean isSerializable()

    - #### public GroovyMethodDoc[] methods()

    - #### public GroovyMethodDoc[] methods(boolean filter)

    - #### public GroovyFieldDoc[] properties()

    - #### public GroovyFieldDoc[] serializableFields()

    - #### public GroovyMethodDoc[] serializationMethods()

    - #### public boolean subclassOf(GroovyClassDoc gcd)

    - #### public GroovyClassDoc superclass()

    - #### public GroovyType superclassType()